io.milvus.param.control

## Class GetFlushAllStateParam.Builder

- java.lang.Object
- - io.milvus.param.control.GetFlushAllStateParam.Builder

- Enclosing class:
    GetFlushAllStateParam

      public static final class GetFlushAllStateParam.Builder
      extends java.lang.Object

  Builder for `GetFlushAllStateParam` class.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GetFlushAllStateParam` | `build()` Verifies parameters and creates a new `GetFlushAllStateParam` instance.
    `GetFlushAllStateParam.Builder` | `withDatabaseName(java.lang.String databaseName)` Sets the database name.
    `GetFlushAllStateParam.Builder` | `withFlushAllTs(@NonNull java.lang.Long flushAllTs)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### withDatabaseName

          public GetFlushAllStateParam.Builder withDatabaseName(java.lang.String databaseName)

      Sets the database name. database name can be nil.
      Parameters:
        `databaseName` - database name
      Returns:
        `Builder`

    - #### withFlushAllTs

          public GetFlushAllStateParam.Builder withFlushAllTs(@NonNull
                                                              @NonNull java.lang.Long flushAllTs)

    - #### build

          public GetFlushAllStateParam build()
                                      throws ParamException

      Verifies parameters and creates a new `GetFlushAllStateParam` instance.
      Returns:
        `GetFlushAllStateParam`
      Throws:
        `ParamException`